Bug 166 - can\'t rebuild
: can\'t rebuild
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/vlan-utils)
: unstable
: all Linux
: P4 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2001-11-19 20:56 by
Modified: 2003-08-25 15:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2001-11-19 20:56:27
при пересборке:
cc        -pipe -Wall -O2 -fexpensive-optimizations -march=i586 -mcpu=i686 -D_GNU_SOURCE -fguiding-decl
s -Wall -I/usr/include -c vconfig.c
vconfig.c: In function `main\':
vconfig.c:139: structure has no member named `dev1\'
vconfig.c:139: structure has no member named `dev1\'
vconfig.c:139: structure has no member named `dev1\'
vconfig.c:167: `ADD_VLAN_IOCTL\' undeclared (first use in this function)
vconfig.c:167: (Each undeclared identifier is reported only once
vconfig.c:167: for each function it appears in.)
vconfig.c:187: `DEL_VLAN_IOCTL\' undeclared (first use in this function)
vconfig.c:204: `SET_EGRESS_PRIORITY_IOCTL\' undeclared (first use in this function)
vconfig.c:223: `SET_INGRESS_PRIORITY_IOCTL\' undeclared (first use in this function)
vconfig.c:242: `SET_VLAN_FLAG_IOCTL\' undeclared (first use in this function)
vconfig.c:261: `SET_NAME_TYPE_IOCTL\' undeclared (first use in this function)
---

---

------- Comment #1 From 2002-01-30 15:21:50 -------
fixed in vlan-utils2{2,4} via setting explicit buildrequires to corresponding
kernel2{2,4}-headers.
------- Comment #2 From 2002-01-30 15:21:50 -------
fixed in vlan-utils2{2,4} via setting explicit buildrequires to corresponding
kernel2{2,4}-headers.